Type to search.

Create an AlibabaCloud AI Search inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.16 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create an inference endpoint to perform an inference task with the alibabacloud-ai-search service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: completion rerank space_embedding text_embedding
alibabacloud_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, alibabacloud-ai-search.

Values: alibabacloud-ai-search
service_settings object required

Settings used to install the inference model. These settings are specific to the alibabacloud-ai-search service.

api_key string required

A valid API key for the AlibabaCloud AI Search API.

host string required

The name of the host address used for the inference task. You can find the host address in the API keys section of the documentation.

service_id string required

The name of the model service to use for the inference task. The following service IDs are available for the completion task:

  • ops-qwen-turbo
  • qwen-turbo
  • qwen-plus
  • qwen-max ÷ qwen-max-longcontext

The following service ID is available for the rerank task:

  • ops-bge-reranker-larger

The following service ID is available for the sparse_embedding task:

  • ops-text-sparse-embedding-001

The following service IDs are available for the text_embedding task:

ops-text-embedding-001 ops-text-embedding-zh-001 ops-text-embedding-en-001 ops-text-embedding-002

workspace string required

The name of the workspace used for the inference task.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding rerank completion sparse_embedding